# Campaigns Object

> Source: https://truto.one/docs/api-reference/unified-ads-management-api/campaigns/

Schema for the `Campaigns` resource in **Unified Ads Management API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for the campaign.
- **`name`** _(string)_
  The name of the campaign.
- **`status`** _(string)_
  The status of the campaign.
  Allowed: `active`, `inactive`, `draft`, `paused`, `deleted`, `archived`, `in_process`, `with_issues`, `completed`, `canceled`, `pending_deletion`
- **`type`** _(string)_
  The type of the campaign
- **`account_id`** _(string)_
  The unique identifier for the account.
- **`labels`** _(array<object>)_
  The labels for the campaign.
  - **`id`** _(string)_
    The unique identifier for the label.
  - **`name`** _(string)_
    The name of the label.
- **`objective`** _(string)_
  The objective of the campaign.
  Allowed: `app_installs`, `brand_awareness`, `conversions`, `visits`, `job_applications`, `event_responses`, `lead_generation`, `link_clicks`, `local_awareness`, `messages`, `offer_claims`, `outcome_app_promotion` (+11 more)
- **`bid_strategy`** _(object)_
  The bid strategy for the campaign.
  - **`id`** _(string)_
    The unique identifier for the bid strategy.
  - **`name`** _(string)_
    The name of the bid strategy.
    Allowed: `lowest_cost_without_cap`, `lowest_cost_with_bid_cap`, `cost_cap`
- **`buying_type`** _(string)_
  The buying type for the campaign.
  Allowed: `auction`, `reserved`
- **`budget`** _(object)_
  The budget for the campaign.
  - **`id`** _(string)_
    The unique identifier for the budget.
  - **`remaining`** _(string)_
    The remaining budget for the campaign.
  - **`lifetime_max`** _(string)_
    The max budget for the campaign.
  - **`daily_max`** _(string)_
    The daily max budget for the campaign.
  - **`is_scheduling_enabled`** _(boolean)_
    Whether budget scheduling is enabled for the campaign.
  - **`is_rebalance_enabled`** _(boolean)_
    Whether budget rebalancing is enabled for the campaign.
  - **`is_shared`** _(boolean)_
    Whether the budget is shared for the campaign with other campaigns.
- **`spend`** _(object)_
  The spend for the campaign.
  - **`max_cap`** _(string)_
    The max cap spend for the campaign.
  - **`cap_enabled`** _(boolean)_
    Whether the cap is enabled for the campaign.
- **`primary_attribution`** _(string)_
  The primary attribution for the campaign.
- **`special_ad_categories`** _(array<string>)_
  The special ad categories for the campaign.
- **`special_ad_category`** _(string)_
  The special ad category for the campaign.
  Allowed: `credit`, `employment`, `housing`, `none`, `political`, `social_issues`
- **`start_time`** _(string)_
  The start time for the campaign.
- **`stop_time`** _(string)_
  The stop time for the campaign.
- **`created_at`** _(string)_
  The date and time the campaign was created.
- **`updated_at`** _(string)_
  The date and time the campaign was last updated.
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/ads/campaigns](/docs/api-reference/unified-ads-management-api/campaigns/list) — List Campaigns
- [POST /unified/ads/campaigns](/docs/api-reference/unified-ads-management-api/campaigns/create) — Create Campaigns
- [GET /unified/ads/campaigns/{id}](/docs/api-reference/unified-ads-management-api/campaigns/get) — Get Campaigns
- [PATCH /unified/ads/campaigns/{id}](/docs/api-reference/unified-ads-management-api/campaigns/update) — Update Campaigns
- [DELETE /unified/ads/campaigns/{id}](/docs/api-reference/unified-ads-management-api/campaigns/delete) — Delete Campaigns
